package com.gree.mall.manager.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum SettlementPayTypeEnum implements BaseEnum {
    LINE("LINE","现金"),
    WECHAT("WECHAT","微信"),
    EXAMINE("EXAMINE","需审批"),
    ;

    @EnumValue
    @JsonValue
    private final String key;

    private final String remark;
}
